#!bash
#HIST 1: Prose vs. poetry by number of predicted segments

cd /proj/aesop/predict_next/Jpaper

PR=$1 
exec 3> prose_poetry_n_list

python $PR/bin/read_save.py -cat selector -out effect_size1 #select the data for the first 0.0 graph

echo '0.0 temp_txt/all_all_selector_effect_size1' >&3

for N in 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 #select the data for 1-8 segments
do
python $PR/bin/read_save.py -cat selector -out effect_size2 -select "N==$N and lbl!='S'" -d 'N_'$N
echo $N 'temp_txt/N_'$N'/all_all_selector_effect_size2' >&3
done

python $PR/bin/histo_multi.py prose_poetry_n_list -s $PR/Jpaper/baap_figs

rm prose_poetry_n_list 